There are several problems with MCMS 2002 server when you have ASP.Net Framework 3.0 installed on the server. According to official Microsoft documentation .Net 3.0 is not supported with MCMS 2002.

Microsoft Content Management Server 2002 with Service Pack 2 (SP2) supports the following features of Microsoft ASP.NET 2.0:

  • Authorization Providers
  • Navigation Providers
  • Master Pages

Other features of ASP.NET 2.0 are not supported.

More information on Sp2 can be found here

Solution for the installation problem with Site Manager

This problem is caused by the missing separate J# for .Net Framework 3.0. The Visual J# 2.0 Second Edition supports .Net 3.0 but the detection mechanism of the MCMS setup utility was developed with .Net Framework 1.0 and 1.1 in mind. If you try to install Site Manager you get the message of missing pre-requisite of the non-existing Visual J# 3.0.

mcms install screen clipping 1 showing missing pre-requisite

Follow these steps to install MCMS 2002 on a server with .Net Framework 2.0 and 3.0 installed.

The detection code checks the existence of vjslib.dll in directory of the highest installed .Net version but does not check if the file is a valid J# dll.